MediaWiki:Common.css: Difference between revisions

Undo revision 7970 by NeonWabbit (talk)
Tags: Undo Mobile edit Mobile web edit Advanced mobile edit
No edit summary
 
(4 intermediate revisions by the same user not shown)
Line 60: Line 60:
}
}


/* Cite customizations for Parsoid
/* Cite customizations */
* Once everything uses the one true parser these are just customizations
*/
span[ rel="mw:referencedBy" ] {
span[ rel="mw:referencedBy" ] {
counter-reset: mw-ref-linkback 0;
counter-reset: mw-ref-linkback 0;
Line 81: Line 79:
span[ rel="mw:referencedBy" ]::before {
span[ rel="mw:referencedBy" ]::before {
content: "^ ";
content: "^ ";
}
/* These blocks need review after [[phab:T371839]] or related are complete */
.mw-ref > a[style~="mw-Ref"][data-mw-group=lower-alpha]::after {
content: '[' counter( mw-Ref, lower-alpha ) ']';
}
.mw-ref > a[style~="mw-Ref"][data-mw-group=upper-alpha]::after {
content: '[' counter( mw-Ref, upper-alpha ) ']';
}
.mw-ref > a[style~="mw-Ref"][data-mw-group=decimal]::after {
content: '[' counter( mw-Ref, decimal ) ']';
}
.mw-ref > a[style~="mw-Ref"][data-mw-group=lower-roman]::after {
content: '[' counter( mw-Ref, lower-roman ) ']';
}
.mw-ref > a[style~="mw-Ref"][data-mw-group=upper-roman]::after {
content: '[' counter( mw-Ref, upper-roman ) ']';
}
.mw-ref > a[style~="mw-Ref"][data-mw-group=lower-greek]::after {
content: '[' counter( mw-Ref, lower-greek ) ']';
}
}


Line 135: Line 108:
.mw-parser-output a[href*=".PDF?"].external,
.mw-parser-output a[href*=".PDF?"].external,
.mw-parser-output a[href*=".PDF#"].external {
.mw-parser-output a[href*=".PDF#"].external {
background: url("//upload.wikimedia.org/wikipedia/commons/4/4d/Icon_pdf_file.png") no-repeat right;
background: url("https://upload.wikimedia.org/wikipedia/commons/4/4d/Icon_pdf_file.png") no-repeat right;
/* @noflip */
/* @noflip */
padding: 8px 18px 8px 0;
padding: 8px 18px 8px 0;
Line 160: Line 133:
/* gotta get over the hump introduced by the triple class above */
/* gotta get over the hump introduced by the triple class above */
.mw-contributions-blocked-notice-partial .mw-warning-with-logexcerpt.mw-warning-with-logexcerpt {
.mw-contributions-blocked-notice-partial .mw-warning-with-logexcerpt.mw-warning-with-logexcerpt {
border-color: #fc3;
border-color: var(--border-color-warning, #ab7f2a);
background-color: var(--background-color-warning-subtle, #fef6e7);
background-color: var(--background-color-warning-subtle, #fef6e7);
}
}
Line 188: Line 161:
   [[MediaWiki:Group-abusefilter-helper.css]], [[MediaWiki:Group-patroller.css]],
   [[MediaWiki:Group-abusefilter-helper.css]], [[MediaWiki:Group-patroller.css]],
   [[MediaWiki:Group-templateeditor.css]], [[MediaWiki:Group-extendedmover.css]],
   [[MediaWiki:Group-templateeditor.css]], [[MediaWiki:Group-extendedmover.css]],
   [[MediaWiki:Group-extendedconfirmed.css]], and [[Mediawiki:Group-autoconfirmed.css]]. */
   [[MediaWiki:Group-extendedconfirmed.css]], [[Mediawiki:Group-autoconfirmed.css]], and [[MediaWiki:Group-user.css]] */
.checkuser-show,
.checkuser-show,
.sysop-show,
.sysop-show,
Line 247: Line 220:
*/
*/
body:not(.ns-0):not(.ns-2):not(.ns-100) .gallerybox .thumb img {
body:not(.ns-0):not(.ns-2):not(.ns-100) .gallerybox .thumb img {
background: #fff url(//upload.wikimedia.org/wikipedia/commons/5/5d/Checker-16x16.png) repeat;
background: #fff url(https://upload.wikimedia.org/wikipedia/commons/5/5d/Checker-16x16.png) repeat;
}
}
Line 283: Line 256:
line-height: 1.5em;
line-height: 1.5em;
border-spacing: 3px;
border-spacing: 3px;
margin: 0.5em 0;
}
}


@media screen {
@media screen {
.infobox {
.infobox {
background-color: #f8f9fa;
background-color: var(--background-color-neutral-subtle, #f8f9fa);
     }
     }
}
}
Line 304: Line 278:
.infobox {
.infobox {
/* @noflip */
/* @noflip */
margin: 0.5em 0 0.5em 1em;
margin-left: 1em;
/* @noflip */
/* @noflip */
float: right;
float: right;